> ## Documentation Index
> Fetch the complete documentation index at: https://docs.signa.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook Endpoint

> Soft-delete a webhook endpoint

## Path Parameters

<ParamField path="id" type="string" required>Endpoint ID (`whk_*`).</ParamField>

## Response

<ResponseField name="id" type="string">Endpoint ID.</ResponseField>
<ResponseField name="object" type="string">Always `"webhook_endpoint"`.</ResponseField>
<ResponseField name="deleted" type="boolean">Always `true`.</ResponseField>
<ResponseField name="request_id" type="string">Request identifier.</ResponseField>

<Note>
  The dispatcher stops attempting deliveries to deleted endpoints
  immediately. In-flight deliveries already enqueued in the delivery queue will be
  no-op'd by the dispatcher when it reads the row.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.signa.so/v1/webhooks/whk_01HK..." \
    -H "Authorization: Bearer $SIGNA_API_KEY" \
    -H "Idempotency-Key: delete-whk-01HK-2026-06-12"
  ```

  ```ts TypeScript theme={null}
  await signa.webhooks.delete('whk_01HK...');
  ```
</RequestExample>
